import { getKs3Config } from "@/service/image";
import { KS3_CONST } from "@/config/constant";
import axios from '../utils/request';

// async function getRemoteConfig() {
//   const imgId = await getImgId();
//   const bucket = await getImgBucket();
//   return {imgId, bucket}
// }
// const protocal = window.location.protocol === 'https:' ? 'https' : 'http';
// const { imgId, bucket } = await getRemoteConfig();



export async function ksOssUpload(file) {
  const {bucket, objectId, policy, signature} = await getKs3Config();

  const protocal = window.location.protocol === 'https:' ? 'https' : 'http';
  const uploadURL = `${protocal}://${KS3_CONST.DOMAIN}/${bucket}`;
  // return new Promise((resolve, reject) => {
  //   CommonServer.getKsOssSign().then(res => {
      // const { accessid, policy, signature } = res
  const formData = new FormData()
  formData.append('acl', 'public-read')
  formData.append('key', objectId)
  formData.append('signature', signature)
  formData.append('KSSAccessKeyId', KS3_CONST.AccessKeyID)
  formData.append('policy', policy)
  formData.append('file', file)
  const res = await axios.post(uploadURL, formData).then(res => {
    console.log(66666 ,res)
    // const { status } = res
    // if (status === 200) {
    //   const data = {
    //     url: `${OSS_URL}/${key}`,
    //     type: fileType(file.name)
    //   }
    //   resolve(data)
    // } else {
    //   reject(res)
    // }
  })
  // .catch(err => {
  //   reject(err)
  // })
  return res;
  //   }).catch(err => {})
  // })
}